public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ronny Gutbrod" <gentoo@tastytea.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: app-shells/zsh-autosuggestions/
Date: Wed,  6 Apr 2022 01:13:50 +0000 (UTC)	[thread overview]
Message-ID: <1649207589.23dd59a1749efbd60b540dbe2c6fe72f695f05eb.tastytea@gentoo> (raw)

commit:     23dd59a1749efbd60b540dbe2c6fe72f695f05eb
Author:     Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Wed Apr  6 01:13:09 2022 +0000
Commit:     Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Wed Apr  6 01:13:09 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=23dd59a1

app-shells/zsh-autosuggestions: add 0.7.0

Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>

 app-shells/zsh-autosuggestions/Manifest            |  1 +
 .../zsh-autosuggestions-0.7.0.ebuild               | 57 ++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/app-shells/zsh-autosuggestions/Manifest b/app-shells/zsh-autosuggestions/Manifest
index 249800d81..9483341be 100644
--- a/app-shells/zsh-autosuggestions/Manifest
+++ b/app-shells/zsh-autosuggestions/Manifest
@@ -1 +1,2 @@
 DIST zsh-autosuggestions-0.6.4.tar.gz 29154 BLAKE2B 73bef916e4abb53f6bd7d8daa67040a78e30aaaf3d71ed04e2f32d4fbbbc35bda1fa8cbcb8957324b52c39bf7ed454132ede657b2caee03798a41a2c330df0d9 SHA512 226b99048577ecdbe198501e6e4b3156c3d849994f0a2f7e15687cd244d4cac472cbcf746aaa32b2886652f6962852a475777b5f2bfcb3a6d0279be98a6020bb
+DIST zsh-autosuggestions-0.7.0.tar.gz 27953 BLAKE2B b12c387a7a6424f1e3e2bc76a4d9f11a3bddb4bc1d69236249722a829c53f3136ff0cbf8aaf02faff54f49f7b7363fcd06576a2dc6c8026c62951da2d0ebc2c2 SHA512 b1a0a11a89095e4f142061525f92836588561e3bfab015bb96eabe3f1f68d0cfcd7483014dac8c5b2911e65640e9182c5fc4cb4fb53e3a05ef7997c006ff76a6

diff --git a/app-shells/zsh-autosuggestions/zsh-autosuggestions-0.7.0.ebuild b/app-shells/zsh-autosuggestions/zsh-autosuggestions-0.7.0.ebuild
new file mode 100644
index 000000000..924f2c04d
--- /dev/null
+++ b/app-shells/zsh-autosuggestions/zsh-autosuggestions-0.7.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+USE_RUBY="ruby26 ruby27 ruby30"
+
+inherit readme.gentoo-r1 ruby-fakegem
+
+DESCRIPTION="Fish-like autosuggestions for zsh"
+HOMEPAGE="https://github.com/zsh-users/zsh-autosuggestions"
+SRC_URI="https://github.com/zsh-users/zsh-autosuggestions/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/all/${P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND=">=app-shells/zsh-4.3.11"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		app-misc/tmux
+		dev-ruby/bundler
+		dev-ruby/pry
+		dev-ruby/pry-byebug
+		dev-ruby/rspec-wait
+	)
+"
+
+RESTRICT="!test? ( test )"
+
+DISABLE_AUTOFORMATTING="true"
+DOC_CONTENTS="In order to use ${CATEGORY}/${PN} add
+. /usr/share/zsh/site-functions/${PN}.zsh
+at the end of your ~/.zshrc"
+
+src_prepare() {
+	# FIXME: Disable failing tests
+	rm "spec/options/buffer_max_size_spec.rb" \
+		|| die "Could not remove tests"
+	ruby-ng_src_prepare
+}
+
+src_install() {
+	insinto "/usr/share/zsh/site-functions/"
+	doins "${PN}.zsh"
+
+	readme.gentoo_create_doc
+	einstalldocs
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}


             reply	other threads:[~2022-04-06  1:13 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-06  1:13 Ronny Gutbrod [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-09-24 19:15 [gentoo-commits] repo/proj/guru:dev commit in: app-shells/zsh-autosuggestions/ Leonardo Hernandez
2023-09-24 19:08 Leonardo Hernandez
2023-09-24 19:08 Leonardo Hernandez
2022-04-06 21:25 [gentoo-commits] repo/proj/guru:master " Ronny Gutbrod
2022-04-06 19:50 ` [gentoo-commits] repo/proj/guru:dev " Ronny Gutbrod
2022-04-06 19:50 Ronny Gutbrod
2021-07-11 22:28 Alessandro Barbieri
2021-04-20 10:40 Alessandro Barbieri
2021-04-20 10:34 Alessandro Barbieri
2021-04-20 10:22 Alessandro Barbieri
2021-04-19 23:32 Alessandro Barbieri
2021-04-19 10:45 Alessandro Barbieri
2021-02-16 14:20 Simon van der Maas

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1649207589.23dd59a1749efbd60b540dbe2c6fe72f695f05eb.tastytea@gentoo \
    --to=gentoo@tastytea.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox